/*
******************************************************************

Main CSS: Standard-Tags, Canvases

(c) sinntun.codes
******************************************************************
*/

:root {
    --site-font: 'LFT Etica';
    --font-weight-headline: 700;
    --font-weight-text: 300;
    --color-black: #000;
    --color-80: #333;
    --color-60: #666;
    --color-40: #999;
}

/*****************************************************************
**** Document
******************************************************************/

html {
    height: 100%;
    scroll-behavior: smooth;
}

body {
    height: 100%;
    font-size: 24px;
    font-family: var(--site-font), sans-serif;
    font-weight: var(--font-weight-text);
}

body.startpage {
    background-color: #DDCDD6;
}
/*****************************************************************
**** Common Selectors
******************************************************************/

h1 {
    font-size: 45px;
    font-weight: 700;
    color: var(--color-80);
    line-height: 54px;
    margin-bottom: 20px;
}

h3 {
    font-size: 18px;
    margin-bottom: 15px;
    font-weight: 500;
}

li {
    width: auto;
    height: auto;
    float: left;
}

li,
ul,
ol {
    font-size: inherit;
    box-sizing: border-box;
}

a {
    font-size: 24px;
    line-height: 32px;
    text-decoration: none;
    z-index: 999;
}

img {
    width: 100%;
    height: auto;
    display: block;
}

.image-copyright {
    color: #646464;
    font-size: 12px;
    text-align: right;
}

ul.linklist {
    list-style: none;
    margin: 0;
    padding: 0;
}

ul.linklist a {
    color: #000000;
}

ul.linklist a:hover {
    color: #ff8c00;
}

.link-container.top {
    margin-bottom: 20px;
}

.link-int::before,
.link-ext::before,
.link-more::before,
.download-link::before,
.phone::before,
.fax::before,
.mobile::before,
.mail::before,
.button-back::before {
    font-family: 'Font Awesome 6 Pro', sans-serif;
    font-weight: 900;
    display: inline-block;
}

.link-int::before,
.link-more::before {
    content: '\f32b';
    width: 20px;
}

.link-ext::before {
    content: '\f14c';
    width: 20px;
}

.download-link::before {
    content: '\f019';
    width: 40px;
}

.phone::before,
.fax::before,
.mobile::before,
.mail::before {
    width: 30px;
    color: #ff8c00;
}

.phone::before {
    content: '\f098';
}

.fax::before {
    content: '\f1ac';
}

.mobile::before {
    content: '\f3cd';
}

.mail::before {
    content: '\f0e0';
}

.button {
    background-color: #ff8c00;
    color: #fff;
    border: none;
    border-radius: 10px;
    padding: 10px 30px;
    display: inline-block;
}

.button-back::before {
    content: '\f191';
    width: 30px;
}

.text {
    box-sizing: border-box;
}

.text ul,
.text ol {
    display: block;
    padding: 10px 20px;
}

/*** CKEditor Absätze auch im Frontend */
.texteditor *:not(:first-child) {
    margin-top: 26px;
}

/* ********** error ********** */

.back-to-top {
    position: fixed;
    bottom: 20px;
    right: 25px;
    padding: 20px;
    z-index: 9999;
    color: #000;
    opacity: 0;
    pointer-events: none;
    transition: opacity 400ms;
    border: solid 1px #666666;
    box-sizing: border-box;
    height: 60px;
    width: 60px;
    text-align: center;
    background: #fff;
}

.back-to-top.show {
    opacity: 1;
    pointer-events: initial;
}

/*** download-links
******************************************************************/

.download-item {
    margin-bottom: 10px;
    display: block;
    clear: both;
}

.download-link {
    box-sizing: border-box;
    display: block;
}

.download-link::before {
    font-family: 'Font Awesome 6 Pro', sans-serif;
    font-weight: 900;
    content: '\f019';
    width: 25px;
    display: inline-block;
}

/*****************************************************************
*** Grid / Canvases
******************************************************************/

#page-canvas {
    width: 100%;
    height: auto;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    margin: 15px auto 0;
}

#main-navigation {
    display: flex;
    gap: 30px;
    justify-content: space-between;
    padding: 25px 0 0;
    margin-bottom: 75px;
    width: 100%;
}

#main-navigation .icons {
    display: flex;
    gap: 10px;
}

#main-navigation .mobile-icons {
    display: none;
    width: 100%;
}

#main-navigation .mobile-icons .icons {
    width: fit-content;
}

.navigation {
    min-height: 85.5px;
}

#aside-canvas {
    width: calc(20% - 30px);
    max-width: 200px;
    margin-right: 80px;
    float: left;
    box-sizing: border-box;
    overflow: hidden;
    height: auto;
}

#content-canvas {
    width: 100%;
    height: auto;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    max-width: 1400px;
    margin: auto;
    padding-top: 40px;
}

.pagetype-standard_no_info #content-canvas {
    max-width: 1400px;
}

#main-canvas {
    height: auto;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    float: left;
    margin-bottom: 100px;
}

.pagetype-start #main-canvas {
    width: calc(100% - 350px);
}

.pagetype-standard #main-canvas {
    width: calc(100% - 350px);
}

.pagetype-standard.visibleAsideCanvas #main-canvas {
    width: calc(100% - 630px);
    max-width: 770px;
}

.pagetype-standard_no_info #main-canvas {
    width: 100%;
}

.pagetype-standard_no_info.visibleAsideCanvas #main-canvas {
    width: 80%;
}

#info-canvas {
    width: 100%;
    max-width: 270px;
    height: auto;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    float: right;
    margin-top: 9px;
}

/*****************************************************************
**** Header
******************************************************************/

#head-canvas {
    width: 100%;
    height: auto;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    padding-left: 0;
    padding-top: 15px;
    max-width: 1400px;
    margin: auto;
}

@media only screen and (max-width: 1220px) {
    #head-canvas {
        padding: 15px 35px 0;
    }
}

.logo-wrapper {
    width: calc((100% - 1400px) / 2);
    position: absolute;
    top: 140px;
    left: 0;
    z-index: 10;
    padding-right: 2%;
    padding-left: 2%;
    box-sizing: border-box;
    margin-bottom: 50px;
}

#logo {
    height: fit-content;
    width: fit-content;
    display: block;
    max-width: 80px;
    margin: auto;
    min-width: 80px;
}

@media screen and (max-width: 1800px) {
    .logo-wrapper {
        display: none;
    }
}

#logo img {
    width: 80px;
    height: auto;
}

#head-image {
    position: relative;
    width: 100%;
    height: auto;
    box-sizing: border-box;
    max-width: 1920px;
    margin: auto;
}

.top-navigation {
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
}

.head-text {
    box-sizing: border-box;
    display: block;
    text-align: center;
    position: absolute;
    top: calc(50% - 20px);
    left: 0;
    right: 0;
    margin: 0 auto;
}

/*****************************************************************
**** Footer
******************************************************************/

#footer-canvas {
    height: auto;
    width: 100%;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    padding: 30px 0 60px;
    max-width: 1400px;
    margin: auto;
}

@media only screen and (max-width: 1220px) {
    .nav-footer {
        box-sizing: border-box;
    }

    #footer-bar {
        box-sizing: border-box;
        display: block;
        text-align: center;
    }
}

#footer-canvas {
    display: flex;
    justify-content: space-between;
    font-size: 24px;
    color: var(--color-60);
}

#footer-canvas .headline {
    color: var(--color-80);
    font-size: 24px;
    margin-bottom: 40px;
}

#footer-canvas .column {
    overflow: hidden;
    box-sizing: border-box;
    margin-left: 0;
    width: calc(25% - 21px);
}

#footer-canvas .center-left-column {
    width: 10%;
}

#footer-canvas .left-column {
    min-width: 380px;
}

#footer-canvas .column * {
    line-height: 32px;
}

#footer-canvas .column a {
    color: var(--color-60);
    font-size: 24px;
}

#footer-canvas .column a:hover {
    color: var(--color-black);
}

#footer-canvas .column .headline a,
#footer-canvas .column a.color-80 {
    color: var(--color-80);
}

#footer-canvas .center-left-column img {
    height: 60px;
    width: 30px;
}

#footer-bar {
    width: 100%;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    max-width: 1400px;
    margin: auto;
    padding: 0 0 15px;
}

#footer-canvas .copyright {
    margin-top: 15px;
}

#footer-canvas .copyright img {
    margin-top: 15px;
}

#footer-canvas .social-media-link {
    display: block;
    overflow: hidden;
    float: right;
    margin-right: 5px;
    margin-left: 5px;
}

#footer-canvas .social-media-link i {
    font-size: 33px;
}

/*****************************************************************
**** Slider
******************************************************************/

#slider {
    width: 100%;
    display: block;
    overflow: hidden;
}

.slider-caption {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    margin: 0 auto;
    height: 210px;
    transform: translate(0, -50%);
}

.slider-caption span {
    display: block;
    text-align: center;
}

@media only screen and (max-width: 900px) {
    .slider-caption {
        display: none !important;
    }
}

.text.text-editor {
    display: inline;
}

.teaserboxes .text {
    line-height: 1.5;
}



/* quill adaptions
*****************************************  */

p[linebreak="true"] {
    margin-bottom: 0;
    padding-bottom: 0;
}

ol li[data-list="bullet"] {
    list-style: disc outside;
    margin-left: 20px;
}
ol li[data-list="ordered"] {
    list-style: decimal outside;
    margin-left: 20px;
}

.texteditor ol li[data-list="bullet"] {
    list-style: disc outside;
}